# ConnectionState

    public enum ConnectionState

Represent the connection state to the lightwalletd server

- `idle`

  not in use

  #### Declaration

  Swift

      case idle

- `connecting`

  there’s a connection being attempted from a non error state

  #### Declaration

  Swift

      case connecting

- `online`

  connection is established, ready to use or in use

  #### Declaration

  Swift

      case online

- `reconnecting`

  the connection is being re-established after losing it temporarily

  #### Declaration

  Swift

      case reconnecting

- `shutdown`

  the connection has been closed

  #### Declaration

  Swift

      case shutdown

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.